How do I upgrade filmware to 4.0.1 instead of 4.1?

Discussion in 'iPhone' started by cstoliker, Sep 25, 2010.

  1. cstoliker

    cstoliker New Member

    Joined:
    Feb 16, 2009
    Messages:
    33
    Likes Received:
    0
    Device:
    iPod touch
    Stupid question here. I have a 3gs running jailbreak 3.1.3. I want to upgrade to IOS 4. "JailbrakeMe" only supports up to 4.0.1. How do I upgrade to a version no later then 4.0.1? I tunes lists only 4.1. DO I need to download it some were and do a DFU restore or something?
  2. hacker123

    hacker123 Banned

    Joined:
    Sep 23, 2010
    Messages:
    28
    Likes Received:
    0
    Device:
    iPhone 3G (Black)
    download the ipsw and press shift +restore done
  3. Badd_Blood

    Badd_Blood Well-Known Member

    Joined:
    Aug 1, 2010
    Messages:
    10,542
    Likes Received:
    1,686
    YOU CANT! you have to have SHSH blobs.

    Edit: Actually, I think if it's old bootrom you might be able to by restoring then kicking out of recovery mode with iREB.
  4. cstoliker

    cstoliker New Member

    Joined:
    Feb 16, 2009
    Messages:
    33
    Likes Received:
    0
    Device:
    iPod touch
    I did back up my SHSH before jailbreaking originally. I have no idea what I'm doing though. I am Running 3.1.3 jailbroke with spirit. It is my understanding that updating firmware will un jailbraak a device since it overwrite the filmware.
    Since I am running 3.1.3- updating to 4.0.1 should unjailbrake and then I could jailbreak the new IOS with JailbreakMe?

    I just downloaded "iPhone2,1_4.0.1_8A306_Restore.ipsw" and tried to Shift+Restore. Got an error message after it Verified restore with apple.


    AHHH
  5. Badd_Blood

    Badd_Blood Well-Known Member

    Joined:
    Aug 1, 2010
    Messages:
    10,542
    Likes Received:
    1,686
    Have you been jailbroken on 4.0.1 before?
  6. cstoliker

    cstoliker New Member

    Joined:
    Feb 16, 2009
    Messages:
    33
    Likes Received:
    0
    Device:
    iPod touch
    No, I have never updated above 3.1.3.
  7. Badd_Blood

    Badd_Blood Well-Known Member

    Joined:
    Aug 1, 2010
    Messages:
    10,542
    Likes Received:
    1,686
    You have to have the SHSH to upgrade to 4.0.1. Since you have never had 4.0.1 you dont have SHSH saved on cydia. So you can only upgrade to 4.1

Share This Page